%def_enable openvz
%def_enable unicode
%def_enable taskstats

Name: htop
Version: 1.0.1
Release: alt1

Summary: Interactive ncurses-based process viewer for Linux
License: GPL
Group: Monitoring

Url: http://htop.sourceforge.net
Source0: http://heanet.dl.sourceforge.net/sourceforge/%name/%name-%version.tar.gz
Source1: %name.ru.1
Patch: htop-0.8.3-alt-desktop.patch
Packager: Ilya Evseev <evseev@altlinux.ru>

BuildRequires: /proc
BuildPreReq: libncurses-devel
%if_enabled unicode
BuildPreReq: libncursesw-devel
%endif

%define rman1dir %_mandir/ru/man1

Summary(ru_RU.KOI8-R):     

%description
%name is similar to top, but allows to scroll the list vertically
and horizontally to see all processes and their full command lines.

Tasks related to processes (killing,  renicing)
can be done without entering their PIDs.

%description -l ru_RU.KOI8-R
%name      .
    top    :

  *         ,
       /,
  *          ,
    ţ   /,
  *    ( , )
          (PID),
  *     .

htop       ncurses.

%prep
%setup
%patch -p1

%build
%configure -C \
	%{subst_enable openvz} \
	%{subst_enable unicode} \
	%{subst_enable taskstats}
%make_build

%install
%makeinstall_std
install -pDm644 %SOURCE1 %buildroot%rman1dir/%name.1
install -pDm644 %name.png %buildroot%_niconsdir/%name.png
rm -r %buildroot%_pixmapsdir/

%files
%_bindir/%name
%_man1dir/%name.1*
%rman1dir/%name.1*
%doc AUTHORS README ChangeLog
%_desktopdir/%name.*
%_niconsdir/%name.*

%changelog
* Sun Apr 22 2012 Michael Shigorin <mike@altlinux.org> 1.0.1-alt1
- 1.0.1

* Wed Nov 23 2011 Michael Shigorin <mike@altlinux.org> 1.0-alt1
- 1.0 (thx led@ for a hint)

* Sat Jun 25 2011 Michael Shigorin <mike@altlinux.org> 0.9-alt1
- 0.9

* Sat Aug 01 2009 Michael Shigorin <mike@altlinux.org> 0.8.3-alt4
- IconPathsPolicy alignment (repocop)

* Wed Jul 29 2009 Michael Shigorin <mike@altlinux.org> 0.8.3-alt3
- applied repocop patch
- added missing Additional Category to desktop file
- added Packager:

* Tue Jun 30 2009 Michael Shigorin <mike@altlinux.org> 0.8.3-alt2
- 0.8.3 (closes: #20594)
  + 0.8.2: integration with lsof to list files opened by a process
  + NB: "VEID" column got renamed to "CTID"
- spec cleanup and macro optimization
- replaced autohack with proper BR: /proc
- alt2: merged 0.8.3-alt1 by Ilya (see also #20594)

* Tue Jun 30 2009 Ilya Evseev <evseev@altlinux.ru> 0.8.3-alt1
- updated to new version 0.8.3

* Sat Sep 27 2008 Ilya Evseev <evseev@altlinux.ru> 0.8.1-alt1
- updated to new version 0.8.1

* Sat May 31 2008 Ilya Evseev <evseev@altlinux.ru> 0.8-alt2
- support for unicode and taskstats: enable by default

* Sat May 31 2008 Ilya Evseev <evseev@altlinux.ru> 0.8-alt1
- updated to new version 0.8

* Thu Jan 10 2008 Ilya Evseev <evseev@altlinux.ru> 0.7-alt1
- updated to new version 0.7
- apply specfile patch by mike@ from bugzilla #13519: see below...
- NMU:
  + CPU affinity configuration
  + improved process organization in tree view
  + OpenVZ support
  + bugfixes
- spec macro abuse cleanup
- replace Debian menufile with freedesktop.org desktop file

* Mon Jun 25 2007 Ilya G. Evseev <evseev@altlinux.ru> 0.6.6-alt1
- updated to version 0.6.6

* Mon Jan 22 2007 Ilya G. Evseev <evseev@altlinux.ru> 0.6.5-alt1
- updated to version 0.6.5

* Sat Oct 07 2006 Ilya G. Evseev <evseev@altlinux.ru> 0.6.4-alt1
- updated to version 0.6.4

* Fri Aug 25 2006 Ilya G. Evseev <evseev@altlinux.ru> 0.6.3-alt1
- updated to version 0.6.3

* Wed May 24 2006 Ilya G. Evseev <evseev@altlinux.ru> 0.6.2-alt1
- updated to version 0.6.2

* Fri May 12 2006 Ilya G. Evseev <evseev@altlinux.ru> 0.6.1-alt1
- updated to version 0.6.1
- closed bug #8830 (fixed in upstream)
- specfile changes:
   + docfiles list (missed TODO)
   + GUI icon

* Thu Dec 29 2005 Ilya G. Evseev <evseev@altlinux.ru> 0.6-alt1
- updated to version 0.6

* Tue Nov  1 2005 Ilya G. Evseev <evseev@altlinux.ru> 0.5.4-alt1
- updated to version 0.5.4

* Fri Sep 23 2005 Ilya G. Evseev <evseev@altlinux.ru> 0.5.3-alt2
- bugfix: prevent /proc things at confugure stage because hasher
  (ALTLinux build environment) does not provide /proc filesystem

* Wed Sep 21 2005 Ilya G. Evseev <evseev@altlinux.ru> 0.5.3-alt1
- updated to version 0.5.3

* Wed May 18 2005 Ilya G. Evseev <evseev@altlinux.ru> 0.5.2-alt1
- updated to version 0.5.2

* Sun Apr 10 2005 Ilya G. Evseev <evseev@altlinux.ru> 0.5.1-alt1
- updated to version 0.5.1

* Fri Dec  3 2004 Ilya G. Evseev <evseev@altlinux.ru> 0.5-alt1
- version 0.5
- russian manual page updated to actual state

* Wed Aug 25 2004 Ilya G. Evseev <evseev@altlinux.ru> 0.4-alt1
- upgrade to 0.4

* Thu Jul  1 2004 Ilya G. Evseev <evseev@altlinux.ru> 0.3.3-alt3
- multiple specfile fixes for compatibility with ALTLinux SpecFile conventions:
- fixed build numbering
- russian texts in KOI8-r are moved beyound first 256-bytes block
- more small things...

* Wed Jun 30 2004 Ilya G. Evseev <evseev@altlinux.ru> 0.3.3-2alt
- fixed invalid BuildPreReq
- manage menu entry

* Mon Jun 28 2004 Ilya G. Evseev <evseev@altlinux.ru> 0.3.3-1alt
- Upgrade to 0.3.3
- Added russian manpage

* Fri Jun  4 2004 Ilya G. Evseev <evseev@altlinux.ru> 0.3.1-1alt
- Initial build

## EOF ##
